---
title: HTMLLabelElement.control
slug: Web/API/HTMLLabelElement/control
tags:
  - Forms
  - HTML DOM
  - HTMLLabelElement
  - Property
  - Read-only
  - Reference
  - control
---
<div>
<div>{{APIRef("HTML DOM")}}</div>
</div>

<p>The read-only <strong><code>HTMLLabelElement.control</code></strong> property returns a reference to the control (in the form of an object of type {{domxref("HTMLElement")}} or one of its derivatives) with which the {{HTMLElement("label")}} element is associated, or <code>null</code> if the label isn't associated with a control.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>control</em> = <em>HTMLLabelElement</em>.control
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLElement")}} derived object representing the control with which the {{HTMLElement("label")}} is associated, or <code>null</code> if the label stands alone.</p>

<div class="note">
<p>If this property has a value and {{domxref("HTMLLabelElement.htmlFor")}} has a value, the {{domxref("HTMLLabelElement.htmlFor")}} property must refer to the same control.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'forms.html#dom-label-control', 'control')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLLabelElement.control")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("HTMLLabelElement")}}</li>
 <li>{{domxref("HTMLElement")}}</li>
 <li>{{HTMLElement("label")}}</li>
 <li><a href="/en-US/docs/Web/Guide/HTML/Forms">HTML forms guide</a></li>
</ul>
